Last modified: 2013-03-26 19:57:05 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35427 - gerrit-wm: Change various settings to make the irc bot less verbose in #mediawiki
gerrit-wm: Change various settings to make the irc bot less verbose in #media...
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Git/Gerrit (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Chad H.
:
Depends on:
Blocks: 37047 40020 46452
  Show dependency treegraph
 
Reported: 2012-03-22 21:07 UTC by Antoine "hashar" Musso (WMF)
Modified: 2013-03-26 19:57 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Antoine "hashar" Musso (WMF) 2012-03-22 21:07:15 UTC
gerrit-wm bot is a wonderful spamer in #mediawiki . We would like to only have notifications about "New patchset" and "Change Merged".

"New Review" should be sent to #mediawiki-codereview
Comment 1 Chad H. 2012-03-26 12:30:59 UTC
We should also discard anything to the test/* namespace of projects.
Comment 2 IWorld (V. G.) 2012-03-26 12:36:47 UTC
We should set the notifications in #mediawiki only to merged changes. The bot can write the rest in #mediawiki-codereview and/or #wikimedia-git.
Comment 3 Chad H. 2012-03-26 13:04:59 UTC
I think we should keep notifications on new patchsets and merges, just silence the reviews.
Comment 4 Antoine "hashar" Musso (WMF) 2012-03-27 05:59:34 UTC
If anyone interested, hooks are handled by python scripts published in operation/puppet.git . Hooks are hold in directory files/gerrit/hooks/ , the comment-added is the one we are looking for.

Generic configuration is done through the template templates/gerrit/hookconfig.py.erb which is populated by puppet on deployement. You could just copy that file as files/gerrit/hooks/hookconfig.py and manually replace the placeholders.


Tagging easy, since well, that is easy :-]
Comment 5 MZMcBride 2012-04-21 19:03:10 UTC
So this just happened in #mediawiki in the span of three minutes:

---
[14:53] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/AbuseFilter] (master) - https://gerrit.wikimedia.org/r/5507
[14:53] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/AbuseFilter] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5507
[14:53] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/AbuseFilter] (master) - https://gerrit.wikimedia.org/r/5507
[14:53] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/AdminLinks] (master) - https://gerrit.wikimedia.org/r/5508
[14:53] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/AdminLinks] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5508
[14:53] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/AdminLinks] (master) - https://gerrit.wikimedia.org/r/5508
[14:53] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/AntiSpoof] (master) - https://gerrit.wikimedia.org/r/5509
[14:53] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/AntiSpoof] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5509
[14:53] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/AntiSpoof] (master) - https://gerrit.wikimedia.org/r/5509
[14:53] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/ArticleFeedback] (master) - https://gerrit.wikimedia.org/r/5510
[14:53] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/ArticleFeedback] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5510
[14:53] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/ArticleFeedback] (master) - https://gerrit.wikimedia.org/r/5510
[14:53] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/ArticleFeedbackv5] (master) - https://gerrit.wikimedia.org/r/5511
[14:53] <euphoria> Can someone help me with my MediaWiki Installation?
[14:53] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/ArticleFeedbackv5] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5511
[14:53] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/ArticleFeedbackv5] (master) - https://gerrit.wikimedia.org/r/5511
[14:53] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/AssertEdit] (master) - https://gerrit.wikimedia.org/r/5512
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/AssertEdit] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5512
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/AssertEdit] (master) - https://gerrit.wikimedia.org/r/5512
[14:54] ... join shantanoo
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/CategoryTree] (master) - https://gerrit.wikimedia.org/r/5513
[14:54] ... quit shantanoo
[14:54] ... join shantanoo
[14:54] ... quit Tpt
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/CategoryTree] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5513
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/CategoryTree] (master) - https://gerrit.wikimedia.org/r/5513
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/CentralAuth] (master) - https://gerrit.wikimedia.org/r/5514
[14:54] <euphoria> http://ceradon.shellmix.com/mw-config/index.php
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/CentralAuth] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5514
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/CentralAuth] (master) - https://gerrit.wikimedia.org/r/5514
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/CentralNotice] (master) - https://gerrit.wikimedia.org/r/5515
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/CentralNotice] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5515
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/CentralNotice] (master) - https://gerrit.wikimedia.org/r/5515
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Cite] (master) - https://gerrit.wikimedia.org/r/5516
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/Cite] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5516
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/Cite] (master) - https://gerrit.wikimedia.org/r/5516
[14:54] <euphoria> It doesn't seem to want to work
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/CodeReview] (master) - https://gerrit.wikimedia.org/r/5517
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/CodeReview] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5517
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/CodeReview] (master) - https://gerrit.wikimedia.org/r/5517
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/ConfirmEdit] (master) - https://gerrit.wikimedia.org/r/5518
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/ConfirmEdit] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5518
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/ConfirmEdit] (master) - https://gerrit.wikimedia.org/r/5518
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/DismissableSiteNotice] (master) - https://gerrit.wikimedia.org/r/5519
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/DismissableSiteNotice] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5519
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/DismissableSiteNotice] (master) - https://gerrit.wikimedia.org/r/5519
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/DonationInterface] (master) - https://gerrit.wikimedia.org/r/5520
[14:54] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/DonationInterface] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5520
[14:54] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/DonationInterface] (master) - https://gerrit.wikimedia.org/r/5520
[14:54] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/FeaturedFeeds] (master) - https://gerrit.wikimedia.org/r/5521
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/FeaturedFeeds] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5521
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/FeaturedFeeds] (master) - https://gerrit.wikimedia.org/r/5521
[14:55] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/GlobalBlocking] (master) - https://gerrit.wikimedia.org/r/5522
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/GlobalBlocking] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5522
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/GlobalBlocking] (master) - https://gerrit.wikimedia.org/r/5522
[14:55] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/GlobalUsage] (master) - https://gerrit.wikimedia.org/r/5523
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/GlobalUsage] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5523
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/GlobalUsage] (master) - https://gerrit.wikimedia.org/r/5523
[14:55] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Interlanguage] (master) - https://gerrit.wikimedia.org/r/5524
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/Interlanguage] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5524
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/Interlanguage] (master) - https://gerrit.wikimedia.org/r/5524
[14:55] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/LiquidThreads] (master) - https://gerrit.wikimedia.org/r/5525
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/LiquidThreads] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5525
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/LiquidThreads] (master) - https://gerrit.wikimedia.org/r/5525
[14:55] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Math] (master) - https://gerrit.wikimedia.org/r/5526
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/Math] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5526
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/Math] (master) - https://gerrit.wikimedia.org/r/5526
[14:55] ... quit nb
[14:55] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Narayam] (master) - https://gerrit.wikimedia.org/r/5528
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/Narayam] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5528
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/Narayam] (master) - https://gerrit.wikimedia.org/r/5528
[14:55] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Quiz] (master) - https://gerrit.wikimedia.org/r/5529
[14:55] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/Quiz] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5529
[14:55] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/Quiz] (master) - https://gerrit.wikimedia.org/r/5529
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Renameuser] (master) - https://gerrit.wikimedia.org/r/5530
[14:56] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/Renameuser] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5530
[14:56] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/Renameuser] (master) - https://gerrit.wikimedia.org/r/5530
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/SiteMatrix] (master) - https://gerrit.wikimedia.org/r/5531
[14:56] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/SiteMatrix] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5531
[14:56] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/SiteMatrix] (master) - https://gerrit.wikimedia.org/r/5531
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/TimedMediaHandler] (master) - https://gerrit.wikimedia.org/r/5532
[14:56] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/TimedMediaHandler] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5532
[14:56] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/TimedMediaHandler] (master) - https://gerrit.wikimedia.org/r/5532
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/TitleBlacklist] (master) - https://gerrit.wikimedia.org/r/5533
[14:56] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/TitleBlacklist] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5533
[14:56] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/TitleBlacklist] (master) - https://gerrit.wikimedia.org/r/5533
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/TorBlock] (master) - https://gerrit.wikimedia.org/r/5534
[14:56] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/TorBlock] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5534
[14:56] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/TorBlock] (master) - https://gerrit.wikimedia.org/r/5534
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Translate] (master) - https://gerrit.wikimedia.org/r/5535
[14:56] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/Translate] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5535
[14:56] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/Translate] (master) - https://gerrit.wikimedia.org/r/5535
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/UploadWizard] (master) - https://gerrit.wikimedia.org/r/5536
[14:56] <gerrit-wm> New review: gerrit2; "Auto-approving/merging l10n updates" [mediawiki/extensions/UploadWizard] (master); V: 1 C: 2;  - https://gerrit.wikimedia.org/r/5536
[14:56] <gerrit-wm> Change merged: gerrit2; [mediawiki/extensions/UploadWizard] (master) - https://gerrit.wikimedia.org/r/5536
[14:56] ... mode/#mediawiki +o Joan by ChanServ
[14:56] <gerrit-wm> New patchset: L10n-bot; "Localisation updates from http://translatewiki.net." [mediawiki/extensions/Vector] (master) - https://gerrit.wikimedia.org/r/5537
[14:56] ... mode/#mediawiki +b *!*@manganese.wikimedia.org by Joan
[14:56] ... kick/#mediawiki gerrit-wm by Joan (gerrit-wm)
[14:57] ... mode/#mediawiki -b *!*@manganese.wikimedia.org by Joan
[14:57] <Beau_> poor gerrit-wm
---

Then I'm told that the "usual fix" is to just quiet the bot. This is a bit silly. Just filter the output to the channel by looking for "Auto-approving/merging l10n updates" or "L10n-bot" or whatever. It should be trivial to fix at least this portion.

Please don't re-add the bot to the channel before fixing this. I'm not sure how often this thing runs or how long it's been doing this, but it really isn't acceptable to flood like this ever.
Comment 6 MZMcBride 2012-04-21 19:09:03 UTC
(In reply to comment #5)
> So this just happened in #mediawiki in the span of three minutes:
>
> ---
> [...]
> ---
> 
> Then I'm told that the "usual fix" is to just quiet the bot. This is a bit
> silly. Just filter the output to the channel by looking for
> "Auto-approving/merging l10n updates" or "L10n-bot" or whatever. It should be
> trivial to fix at least this portion.

This specific issue is being tracked by bug 35538. I added that bug to the see also section of this bug.
Comment 7 MZMcBride 2012-04-21 19:15:34 UTC
(In reply to comment #4)
> If anyone interested, hooks are handled by python scripts published in
> operation/puppet.git . Hooks are hold in directory files/gerrit/hooks/ , the
> comment-added is the one we are looking for.
> 
> Generic configuration is done through the template
> templates/gerrit/hookconfig.py.erb which is populated by puppet on deployement.
> You could just copy that file as files/gerrit/hooks/hookconfig.py and manually
> replace the placeholders.
> 
> 
> Tagging easy, since well, that is easy :-]

I think filtering at the IRC output level is cleanest for what I'm after. How are the messages being pushed to IRC? Is it using ircecho and some stdin piping thing like usual or what? And do you have a link to the code on gitweb or where the code lives now (the new viewvc)?
Comment 8 Chad H. 2012-05-07 11:27:54 UTC
(In reply to comment #7)
> I think filtering at the IRC output level is cleanest for what I'm after. How
> are the messages being pushed to IRC? Is it using ircecho and some stdin piping
> thing like usual or what? And do you have a link to the code on gitweb or where
> the code lives now (the new viewvc)?

Yep, ircecho is pulling the info from logs that are being generated on the gerrit box. The code is in the gerrit hooks, which can be found here[0] (the function you're looking for is log_to_file()).

Configuration is handled by hookconfig.py.erb[1], and it would be nice to control this on a project-level basis.

I honestly haven't dove into this yet (although I did silence L10n-bot, see updates to 35538, pending merge to production), so if anyone is volunteering that's awesome and I'd be more than happy to review it.

[0] https://gerrit.wikimedia.org/r/gitweb?p=operations/puppet.git;a=tree;f=files/gerrit/hooks
[1] https://gerrit.wikimedia.org/r/gitweb?p=operations/puppet.git;a=blob;f=templates/gerrit/hookconfig.py.erb
Comment 9 Antoine "hashar" Musso (WMF) 2012-05-23 13:13:21 UTC
Comments notification suddenly stopped for no reason, probably by mistake:

Bug 37047 - gerrit-wm no more notify on comment

"New Review" should be sent to #mediawiki-codereview
Comment 10 Chad H. 2012-06-25 13:39:25 UTC
Could we maybe take this single discussion on-wiki? I'm finding it impossible to keep track of all of the IRC discussions in separate locations (here, the mailing list) when what we need is just one centralized place to hash this out.

Might I suggest: https://www.mediawiki.org/wiki/Git/IRC?
Comment 11 Chad H. 2012-06-29 13:35:56 UTC
Ok, so reviews without comment have been silenced as well. This means that the bot only reports:

New patches
Restored/abandoned changes
Reviews (only with comments!)
Submit

Breaking up the bot to separate channels is beyond the scope of this bug. We can handle that via the wiki page and bug 37866. Since the underlying verbosity issue has been fixed (L10n via bug 35538), I'm marking this FIXED.
Comment 12 Nemo 2013-03-22 12:23:36 UTC
For search purposes: this is probably the bug which removed the "(no comment)" notifications. Last one found in logs is:

http://bots.wmflabs.org/~petrb/logs/#mediawiki/20120628.txt:
On line 687:
[17:52:45] <gerrit-wm> New review: Aaron Schulz; "(no comment)" [mediawiki/core] (master); V: 0 C: 2; - https://gerrit.wikimedia.org/r/13267

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links